Welcome!

Welcome to the official BlackBerry Support Community Forums.

This is your resource to discuss support topics with your peers, and learn from each other.

inside custom component

BlackBerry® OS Smartphones

Reply
New Member
Posts: 1
Registered: ‎06-22-2013
My Device: Bold 9700
My Carrier: Tmobile

Blackberry world problem

When attempting to access the blackberry world on my bold 9700, a screen pops up and states 'App World requires the latest version of Blackberry ID' with two options to select: close or update.  When I click on 'update,' another screen immediately pops up and states 'sorry, the software update server is unavailable.  Please try again.  This annoyance started a week ago and I cannot get past it.  HELP!!!

Retired
Posts: 4,285
Registered: ‎07-26-2010
My Device: Q10/Q5/Z10/9930/9860/9310

Re: Blackberry world problem

Hey jbeer32,

Welcome to the BlackBerry Support Community Forums.

 

Thanks for the question.

 

I suggest connecting to a Wi-Fi network and then try to update your BlackBerry ID.  If the issue persists then I suggest re-installing BlackBerry World by going to www.blackberry.com/appworld/download

 

Let me know if you have any more questions.

 

Cheers.


-ViciousFerret


 


Come follow your BlackBerry Technical Team on Twitter! @BlackBerryHelp


Be sure to click Like! for those who have helped you.

Click  Accept as Solution for posts that have solved your issue(s)!